igeo

## Class IAppletGL1

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - igeo.IAppletGL1

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible

      public class IAppletGL1
      extends java.applet.Applet
      implements java.lang.Runnable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.applet.Applet

      `java.applet.Applet.AccessibleApplet`

    - ### Nested classes/interfaces inherited from class java.awt.Panel

      `java.awt.Panel.AccessibleAWTPanel`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `framerate`
    `IG` | `ig`
    `igeo.gui.IGraphicsGL` | `igg`
    `java.awt.Graphics` | `offg`
    `java.awt.Image` | `offscreen`
    `igeo.gui.IPanelI` | `panel`
    `java.awt.Frame` | `parent`
    `boolean` | `running`
    `boolean` | `runningAsApplication`
    `java.lang.Thread` | `thread`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAppletGL1()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `void` | `initObjects()`
    `void` | `initScreen()`
    `void` | `paint(java.awt.Graphics g)`
    `void` | `processMouseEvent(java.awt.event.MouseEvent e)`
    `void` | `processMouseMotionEvent(java.awt.event.MouseEvent e)`
    `void` | `processMouseWheelEvent(java.awt.event.MouseWheelEvent e)`
    `void` | `run()`
    `void` | `setSize(java.awt.Dimension d)`
    `void` | `start()`
    `void` | `stop()`
    `void` | `update(java.awt.Graphics g)`
    `void` | `updateObjects()`

    - ### Methods inherited from class java.applet.Applet

      `destroy, getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### framerate

          public static int framerate

    - #### running

          public boolean running

    - #### thread

          public java.lang.Thread thread

    - #### offscreen

          public java.awt.Image offscreen

    - #### offg

          public java.awt.Graphics offg

    - #### parent

          public java.awt.Frame parent

    - #### runningAsApplication

          public boolean runningAsApplication

    - #### panel

          public igeo.gui.IPanelI panel

    - #### ig

          public IG ig

    - #### igg

          public igeo.gui.IGraphicsGL igg

  - ### Constructor Detail

    - #### IAppletGL1

          public IAppletGL1()

  - ### Method Detail

    - #### init

          public void init()

      Overrides:
        `init` in class `java.applet.Applet`

    - #### initScreen

          public void initScreen()

    - #### initObjects

          public void initObjects()

    - #### setSize

          public void setSize(java.awt.Dimension d)

      Overrides:
        `setSize` in class `java.awt.Component`

    - #### paint

          public void paint(java.awt.Graphics g)

      Overrides:
        `paint` in class `java.awt.Container`

    - #### update

          public void update(java.awt.Graphics g)

      Overrides:
        `update` in class `java.awt.Container`

    - #### start

          public void start()

      Overrides:
        `start` in class `java.applet.Applet`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `java.applet.Applet`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### updateObjects

          public void updateObjects()

    - #### processMouseEvent

          public void processMouseEvent(java.awt.event.MouseEvent e)

      Overrides:
        `processMouseEvent` in class `java.awt.Component`

    - #### processMouseMotionEvent

          public void processMouseMotionEvent(java.awt.event.MouseEvent e)

      Overrides:
        `processMouseMotionEvent` in class `java.awt.Component`

    - #### processMouseWheelEvent

          public void processMouseWheelEvent(java.awt.event.MouseWheelEvent e)

      Overrides:
        `processMouseWheelEvent` in class `java.awt.Component`